org.sunflow.image

## Class XYZColor

- java.lang.Object
- - org.sunflow.image.XYZColor

    public final class XYZColor
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`XYZColor()`
`XYZColor(float X, float Y, float Z)`

### Method Summary

Methods
`float` `getX()`
`float` `getY()`
`float` `getZ()`
`XYZColor` `mul(float s)`
`void` `normalize()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XYZColor

    public XYZColor()

#### XYZColor

    public XYZColor(float X,
            float Y,
            float Z)

### Method Detail

#### getX

    public final float getX()

#### getY

    public final float getY()

#### getZ

    public final float getZ()

#### mul

    public final XYZColor mul(float s)

#### normalize

    public final void normalize()

#### toString

    public final java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`